%define upstream_name    MouseX-SingletonMethod
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Mouse with Singleton Method facility
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MouseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Mouse)
BuildRequires: perl(Mouse::Role)
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
This module can create singleton methods with Mouse.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.50.0-7.mga10
+ Revision: 2199999
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.50.0-6.mga9
+ Revision: 1804804
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-5.mga8
+ Revision: 1495780
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-4.mga7
+ Revision: 1269879
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-3.mga6
+ Revision: 1030739
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 966027
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 sander85 <sander85> 0.50.0-1.mga6
+ Revision: 839970
- update to 0.05

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 748723
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 685602
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 537380
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.40.0-1.mga4
+ Revision: 486878
- update to 0.04

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 370380
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 316056
- update to 0.03

* Tue Oct 16 2012 jquelin <jquelin> 0.20.0-1.mga3
+ Revision: 307200
- imported package perl-MouseX-SingletonMethod


* Tue Oct 16 2012 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
